#
# spec file for package perl-Digest-SHA1 (Version 2.10)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 coreutils cpio cpp cracklib cvs cyrus-sasl db diffutils e2fsprogs file filesystem fillup findutils flex gawk gcc gdbm gdbm-devel gettext gettext-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv klogd less libacl libattr libcom_err libgcc libnscd libstdc++ libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openssl pam pam-modules patch perl permissions popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim zlib zlib-devel

Name:           perl-Digest-SHA1
Version:        2.10
Release:        15.2
Requires:       perl = %{perl_version}
Autoreqprov:    on
Group:          Development/Libraries/Perl
License:        Artistic License
URL:            http://cpan.org/modules/by-module/Digest/
Summary:        A Perl Interface to the SHA-1 Algorithm
Source:         Digest-SHA1-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
The Digest::SHA1 module allows the use of the NIST SHA-1 message digest
algorithm from within Perl programs. The algorithm takes a message of
arbitrary length as input and produces a 160-bit fingerprint or message
digest of the input as output.



Authors:
--------
    Peter C. Gutmann,
    Uwe Hollerbach <uh@alumni.caltech.edu>,
    Gisle Aas <gisle@aas.no>

%debug_package
%prep
%setup -n Digest-SHA1-%{version}

%build
perl Makefile.PL OPTIMIZE="$RPM_OPT_FLAGS -Wall"
make
make test

%install
rm -rf $RPM_BUILD_ROOT
%perl_make_install
%perl_process_packlist

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc Changes README fip180-1.gif fip180-1.html
%doc %{_mandir}/man?/*
%{perl_vendorarch}/Digest
%{perl_vendorarch}/auto/Digest
/var/adm/perl-modules/%{name}

%changelog -n perl-Digest-SHA1
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Fri Aug 06 2004 - mjancar@suse.cz
- update to 2.10
* Thu Feb 26 2004 - mjancar@suse.cz
- update to 2.07
* Tue Oct 21 2003 - mjancar@suse.cz
- update to 2.06
* Fri Aug 22 2003 - mjancar@suse.cz
- require the perl version we build with
* Thu Jul 24 2003 - mjancar@suse.cz
- update to 2.04
* Tue Jul 15 2003 - mjancar@suse.cz
- adapt to perl-5.8.1
- use %%perl_process_packlist
* Mon Jun 16 2003 - mjancar@suse.cz
- fix filelist
* Thu Jun 05 2003 - mjancar@suse.cz
- don't package MANIFEST
* Tue May 20 2003 - mjancar@suse.cz
- remove unpackaged files
* Tue Apr 29 2003 - mjancar@suse.cz
- update to version 2.02
- used $RPM_OPT_FLAGS
* Tue Jul 02 2002 - mls@suse.de
- remove race in .packlist generation
* Tue Jan 15 2002 - rvasice@suse.cz
- update to version 2.01
* Tue Aug 14 2001 - rvasice@suse.cz
- initial package release (version 2.00)
